Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:c25:c25f:dd4e:dd:dd:ac00/120
First address
2c19:dd:c25:c25f:dd4e:dd:dd:ac00
Last address
2c19:dd:c25:c25f:dd4e:dd:dd:acff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:0c25:c25f:dd4e:00dd:00dd:ac00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
c.a.d.d.0.0.d.d.0.0.e.4.d.d.f.5.2.c.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/127

2c19:dd:c25:c25f:dd4e:dd:dd:ac00/120 makes 128 subnets of /127.

Subnets
#SubnetLast address
12c19:dd:c25:c25f:dd4e:dd:dd:ac00/1272c19:dd:c25:c25f:dd4e:dd:dd:ac01
22c19:dd:c25:c25f:dd4e:dd:dd:ac02/1272c19:dd:c25:c25f:dd4e:dd:dd:ac03
32c19:dd:c25:c25f:dd4e:dd:dd:ac04/1272c19:dd:c25:c25f:dd4e:dd:dd:ac05
42c19:dd:c25:c25f:dd4e:dd:dd:ac06/1272c19:dd:c25:c25f:dd4e:dd:dd:ac07
52c19:dd:c25:c25f:dd4e:dd:dd:ac08/1272c19:dd:c25:c25f:dd4e:dd:dd:ac09
62c19:dd:c25:c25f:dd4e:dd:dd:ac0a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac0b
72c19:dd:c25:c25f:dd4e:dd:dd:ac0c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac0d
82c19:dd:c25:c25f:dd4e:dd:dd:ac0e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac0f
92c19:dd:c25:c25f:dd4e:dd:dd:ac10/1272c19:dd:c25:c25f:dd4e:dd:dd:ac11
102c19:dd:c25:c25f:dd4e:dd:dd:ac12/1272c19:dd:c25:c25f:dd4e:dd:dd:ac13
112c19:dd:c25:c25f:dd4e:dd:dd:ac14/1272c19:dd:c25:c25f:dd4e:dd:dd:ac15
122c19:dd:c25:c25f:dd4e:dd:dd:ac16/1272c19:dd:c25:c25f:dd4e:dd:dd:ac17
132c19:dd:c25:c25f:dd4e:dd:dd:ac18/1272c19:dd:c25:c25f:dd4e:dd:dd:ac19
142c19:dd:c25:c25f:dd4e:dd:dd:ac1a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac1b
152c19:dd:c25:c25f:dd4e:dd:dd:ac1c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac1d
162c19:dd:c25:c25f:dd4e:dd:dd:ac1e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac1f
172c19:dd:c25:c25f:dd4e:dd:dd:ac20/1272c19:dd:c25:c25f:dd4e:dd:dd:ac21
182c19:dd:c25:c25f:dd4e:dd:dd:ac22/1272c19:dd:c25:c25f:dd4e:dd:dd:ac23
192c19:dd:c25:c25f:dd4e:dd:dd:ac24/1272c19:dd:c25:c25f:dd4e:dd:dd:ac25
202c19:dd:c25:c25f:dd4e:dd:dd:ac26/1272c19:dd:c25:c25f:dd4e:dd:dd:ac27
212c19:dd:c25:c25f:dd4e:dd:dd:ac28/1272c19:dd:c25:c25f:dd4e:dd:dd:ac29
222c19:dd:c25:c25f:dd4e:dd:dd:ac2a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac2b
232c19:dd:c25:c25f:dd4e:dd:dd:ac2c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac2d
242c19:dd:c25:c25f:dd4e:dd:dd:ac2e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac2f
252c19:dd:c25:c25f:dd4e:dd:dd:ac30/1272c19:dd:c25:c25f:dd4e:dd:dd:ac31
262c19:dd:c25:c25f:dd4e:dd:dd:ac32/1272c19:dd:c25:c25f:dd4e:dd:dd:ac33
272c19:dd:c25:c25f:dd4e:dd:dd:ac34/1272c19:dd:c25:c25f:dd4e:dd:dd:ac35
282c19:dd:c25:c25f:dd4e:dd:dd:ac36/1272c19:dd:c25:c25f:dd4e:dd:dd:ac37
292c19:dd:c25:c25f:dd4e:dd:dd:ac38/1272c19:dd:c25:c25f:dd4e:dd:dd:ac39
302c19:dd:c25:c25f:dd4e:dd:dd:ac3a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac3b
312c19:dd:c25:c25f:dd4e:dd:dd:ac3c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac3d
322c19:dd:c25:c25f:dd4e:dd:dd:ac3e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac3f
332c19:dd:c25:c25f:dd4e:dd:dd:ac40/1272c19:dd:c25:c25f:dd4e:dd:dd:ac41
342c19:dd:c25:c25f:dd4e:dd:dd:ac42/1272c19:dd:c25:c25f:dd4e:dd:dd:ac43
352c19:dd:c25:c25f:dd4e:dd:dd:ac44/1272c19:dd:c25:c25f:dd4e:dd:dd:ac45
362c19:dd:c25:c25f:dd4e:dd:dd:ac46/1272c19:dd:c25:c25f:dd4e:dd:dd:ac47
372c19:dd:c25:c25f:dd4e:dd:dd:ac48/1272c19:dd:c25:c25f:dd4e:dd:dd:ac49
382c19:dd:c25:c25f:dd4e:dd:dd:ac4a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac4b
392c19:dd:c25:c25f:dd4e:dd:dd:ac4c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac4d
402c19:dd:c25:c25f:dd4e:dd:dd:ac4e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac4f
412c19:dd:c25:c25f:dd4e:dd:dd:ac50/1272c19:dd:c25:c25f:dd4e:dd:dd:ac51
422c19:dd:c25:c25f:dd4e:dd:dd:ac52/1272c19:dd:c25:c25f:dd4e:dd:dd:ac53
432c19:dd:c25:c25f:dd4e:dd:dd:ac54/1272c19:dd:c25:c25f:dd4e:dd:dd:ac55
442c19:dd:c25:c25f:dd4e:dd:dd:ac56/1272c19:dd:c25:c25f:dd4e:dd:dd:ac57
452c19:dd:c25:c25f:dd4e:dd:dd:ac58/1272c19:dd:c25:c25f:dd4e:dd:dd:ac59
462c19:dd:c25:c25f:dd4e:dd:dd:ac5a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac5b
472c19:dd:c25:c25f:dd4e:dd:dd:ac5c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac5d
482c19:dd:c25:c25f:dd4e:dd:dd:ac5e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac5f
492c19:dd:c25:c25f:dd4e:dd:dd:ac60/1272c19:dd:c25:c25f:dd4e:dd:dd:ac61
502c19:dd:c25:c25f:dd4e:dd:dd:ac62/1272c19:dd:c25:c25f:dd4e:dd:dd:ac63
512c19:dd:c25:c25f:dd4e:dd:dd:ac64/1272c19:dd:c25:c25f:dd4e:dd:dd:ac65
522c19:dd:c25:c25f:dd4e:dd:dd:ac66/1272c19:dd:c25:c25f:dd4e:dd:dd:ac67
532c19:dd:c25:c25f:dd4e:dd:dd:ac68/1272c19:dd:c25:c25f:dd4e:dd:dd:ac69
542c19:dd:c25:c25f:dd4e:dd:dd:ac6a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac6b
552c19:dd:c25:c25f:dd4e:dd:dd:ac6c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac6d
562c19:dd:c25:c25f:dd4e:dd:dd:ac6e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac6f
572c19:dd:c25:c25f:dd4e:dd:dd:ac70/1272c19:dd:c25:c25f:dd4e:dd:dd:ac71
582c19:dd:c25:c25f:dd4e:dd:dd:ac72/1272c19:dd:c25:c25f:dd4e:dd:dd:ac73
592c19:dd:c25:c25f:dd4e:dd:dd:ac74/1272c19:dd:c25:c25f:dd4e:dd:dd:ac75
602c19:dd:c25:c25f:dd4e:dd:dd:ac76/1272c19:dd:c25:c25f:dd4e:dd:dd:ac77
612c19:dd:c25:c25f:dd4e:dd:dd:ac78/1272c19:dd:c25:c25f:dd4e:dd:dd:ac79
622c19:dd:c25:c25f:dd4e:dd:dd:ac7a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac7b
632c19:dd:c25:c25f:dd4e:dd:dd:ac7c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac7d
642c19:dd:c25:c25f:dd4e:dd:dd:ac7e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac7f
652c19:dd:c25:c25f:dd4e:dd:dd:ac80/1272c19:dd:c25:c25f:dd4e:dd:dd:ac81
662c19:dd:c25:c25f:dd4e:dd:dd:ac82/1272c19:dd:c25:c25f:dd4e:dd:dd:ac83
672c19:dd:c25:c25f:dd4e:dd:dd:ac84/1272c19:dd:c25:c25f:dd4e:dd:dd:ac85
682c19:dd:c25:c25f:dd4e:dd:dd:ac86/1272c19:dd:c25:c25f:dd4e:dd:dd:ac87
692c19:dd:c25:c25f:dd4e:dd:dd:ac88/1272c19:dd:c25:c25f:dd4e:dd:dd:ac89
702c19:dd:c25:c25f:dd4e:dd:dd:ac8a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac8b
712c19:dd:c25:c25f:dd4e:dd:dd:ac8c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac8d
722c19:dd:c25:c25f:dd4e:dd:dd:ac8e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac8f
732c19:dd:c25:c25f:dd4e:dd:dd:ac90/1272c19:dd:c25:c25f:dd4e:dd:dd:ac91
742c19:dd:c25:c25f:dd4e:dd:dd:ac92/1272c19:dd:c25:c25f:dd4e:dd:dd:ac93
752c19:dd:c25:c25f:dd4e:dd:dd:ac94/1272c19:dd:c25:c25f:dd4e:dd:dd:ac95
762c19:dd:c25:c25f:dd4e:dd:dd:ac96/1272c19:dd:c25:c25f:dd4e:dd:dd:ac97
772c19:dd:c25:c25f:dd4e:dd:dd:ac98/1272c19:dd:c25:c25f:dd4e:dd:dd:ac99
782c19:dd:c25:c25f:dd4e:dd:dd:ac9a/1272c19:dd:c25:c25f:dd4e:dd:dd:ac9b
792c19:dd:c25:c25f:dd4e:dd:dd:ac9c/1272c19:dd:c25:c25f:dd4e:dd:dd:ac9d
802c19:dd:c25:c25f:dd4e:dd:dd:ac9e/1272c19:dd:c25:c25f:dd4e:dd:dd:ac9f
812c19:dd:c25:c25f:dd4e:dd:dd:aca0/1272c19:dd:c25:c25f:dd4e:dd:dd:aca1
822c19:dd:c25:c25f:dd4e:dd:dd:aca2/1272c19:dd:c25:c25f:dd4e:dd:dd:aca3
832c19:dd:c25:c25f:dd4e:dd:dd:aca4/1272c19:dd:c25:c25f:dd4e:dd:dd:aca5
842c19:dd:c25:c25f:dd4e:dd:dd:aca6/1272c19:dd:c25:c25f:dd4e:dd:dd:aca7
852c19:dd:c25:c25f:dd4e:dd:dd:aca8/1272c19:dd:c25:c25f:dd4e:dd:dd:aca9
862c19:dd:c25:c25f:dd4e:dd:dd:acaa/1272c19:dd:c25:c25f:dd4e:dd:dd:acab
872c19:dd:c25:c25f:dd4e:dd:dd:acac/1272c19:dd:c25:c25f:dd4e:dd:dd:acad
882c19:dd:c25:c25f:dd4e:dd:dd:acae/1272c19:dd:c25:c25f:dd4e:dd:dd:acaf
892c19:dd:c25:c25f:dd4e:dd:dd:acb0/1272c19:dd:c25:c25f:dd4e:dd:dd:acb1
902c19:dd:c25:c25f:dd4e:dd:dd:acb2/1272c19:dd:c25:c25f:dd4e:dd:dd:acb3
912c19:dd:c25:c25f:dd4e:dd:dd:acb4/1272c19:dd:c25:c25f:dd4e:dd:dd:acb5
922c19:dd:c25:c25f:dd4e:dd:dd:acb6/1272c19:dd:c25:c25f:dd4e:dd:dd:acb7
932c19:dd:c25:c25f:dd4e:dd:dd:acb8/1272c19:dd:c25:c25f:dd4e:dd:dd:acb9
942c19:dd:c25:c25f:dd4e:dd:dd:acba/1272c19:dd:c25:c25f:dd4e:dd:dd:acbb
952c19:dd:c25:c25f:dd4e:dd:dd:acbc/1272c19:dd:c25:c25f:dd4e:dd:dd:acbd
962c19:dd:c25:c25f:dd4e:dd:dd:acbe/1272c19:dd:c25:c25f:dd4e:dd:dd:acbf
972c19:dd:c25:c25f:dd4e:dd:dd:acc0/1272c19:dd:c25:c25f:dd4e:dd:dd:acc1
982c19:dd:c25:c25f:dd4e:dd:dd:acc2/1272c19:dd:c25:c25f:dd4e:dd:dd:acc3
992c19:dd:c25:c25f:dd4e:dd:dd:acc4/1272c19:dd:c25:c25f:dd4e:dd:dd:acc5
1002c19:dd:c25:c25f:dd4e:dd:dd:acc6/1272c19:dd:c25:c25f:dd4e:dd:dd:acc7
1012c19:dd:c25:c25f:dd4e:dd:dd:acc8/1272c19:dd:c25:c25f:dd4e:dd:dd:acc9
1022c19:dd:c25:c25f:dd4e:dd:dd:acca/1272c19:dd:c25:c25f:dd4e:dd:dd:accb
1032c19:dd:c25:c25f:dd4e:dd:dd:accc/1272c19:dd:c25:c25f:dd4e:dd:dd:accd
1042c19:dd:c25:c25f:dd4e:dd:dd:acce/1272c19:dd:c25:c25f:dd4e:dd:dd:accf
1052c19:dd:c25:c25f:dd4e:dd:dd:acd0/1272c19:dd:c25:c25f:dd4e:dd:dd:acd1
1062c19:dd:c25:c25f:dd4e:dd:dd:acd2/1272c19:dd:c25:c25f:dd4e:dd:dd:acd3
1072c19:dd:c25:c25f:dd4e:dd:dd:acd4/1272c19:dd:c25:c25f:dd4e:dd:dd:acd5
1082c19:dd:c25:c25f:dd4e:dd:dd:acd6/1272c19:dd:c25:c25f:dd4e:dd:dd:acd7
1092c19:dd:c25:c25f:dd4e:dd:dd:acd8/1272c19:dd:c25:c25f:dd4e:dd:dd:acd9
1102c19:dd:c25:c25f:dd4e:dd:dd:acda/1272c19:dd:c25:c25f:dd4e:dd:dd:acdb
1112c19:dd:c25:c25f:dd4e:dd:dd:acdc/1272c19:dd:c25:c25f:dd4e:dd:dd:acdd
1122c19:dd:c25:c25f:dd4e:dd:dd:acde/1272c19:dd:c25:c25f:dd4e:dd:dd:acdf
1132c19:dd:c25:c25f:dd4e:dd:dd:ace0/1272c19:dd:c25:c25f:dd4e:dd:dd:ace1
1142c19:dd:c25:c25f:dd4e:dd:dd:ace2/1272c19:dd:c25:c25f:dd4e:dd:dd:ace3
1152c19:dd:c25:c25f:dd4e:dd:dd:ace4/1272c19:dd:c25:c25f:dd4e:dd:dd:ace5
1162c19:dd:c25:c25f:dd4e:dd:dd:ace6/1272c19:dd:c25:c25f:dd4e:dd:dd:ace7
1172c19:dd:c25:c25f:dd4e:dd:dd:ace8/1272c19:dd:c25:c25f:dd4e:dd:dd:ace9
1182c19:dd:c25:c25f:dd4e:dd:dd:acea/1272c19:dd:c25:c25f:dd4e:dd:dd:aceb
1192c19:dd:c25:c25f:dd4e:dd:dd:acec/1272c19:dd:c25:c25f:dd4e:dd:dd:aced
1202c19:dd:c25:c25f:dd4e:dd:dd:acee/1272c19:dd:c25:c25f:dd4e:dd:dd:acef
1212c19:dd:c25:c25f:dd4e:dd:dd:acf0/1272c19:dd:c25:c25f:dd4e:dd:dd:acf1
1222c19:dd:c25:c25f:dd4e:dd:dd:acf2/1272c19:dd:c25:c25f:dd4e:dd:dd:acf3
1232c19:dd:c25:c25f:dd4e:dd:dd:acf4/1272c19:dd:c25:c25f:dd4e:dd:dd:acf5
1242c19:dd:c25:c25f:dd4e:dd:dd:acf6/1272c19:dd:c25:c25f:dd4e:dd:dd:acf7
1252c19:dd:c25:c25f:dd4e:dd:dd:acf8/1272c19:dd:c25:c25f:dd4e:dd:dd:acf9
1262c19:dd:c25:c25f:dd4e:dd:dd:acfa/1272c19:dd:c25:c25f:dd4e:dd:dd:acfb
1272c19:dd:c25:c25f:dd4e:dd:dd:acfc/1272c19:dd:c25:c25f:dd4e:dd:dd:acfd
1282c19:dd:c25:c25f:dd4e:dd:dd:acfe/1272c19:dd:c25:c25f:dd4e:dd:dd:acff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses